Package org.apache.solr.common.cloud

# Class RoutingRule

java.lang.Object
org.apache.solr.common.cloud.ZkNodeProps
org.apache.solr.common.cloud.RoutingRule

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

public class RoutingRule extends ZkNodeProps
Used for routing docs with particular keys into another collection

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from class org.apache.solr.common.cloud.ZkNodeProps

`propMap`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`RoutingRule(String routeKey, Map<String,Object> propMap)`

## Method Summary

Modifier and Type
Method
Description
`List<DocRouter.Range>`
`getRouteRanges()`
`String`
`getRouteRangesStr()`
`String`
`getTargetCollectionName()`
`boolean`
`isExpired()`
`static String`
`makeExpiryAt(long timeMsFromNow)`
`String`
`toString()`

### Methods inherited from class org.apache.solr.common.cloud.ZkNodeProps

`containsKey, equals, get, getBool, getInt, getProperties, getStr, getStr, hashCode, keySet, load, plus, plus, shallowCopy, writeMap`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### RoutingRule

public RoutingRule(String routeKey, Map<String,Object> propMap)

## Method Details

### getRouteRanges

public List<DocRouter.Range> getRouteRanges()

### getTargetCollectionName

public String getTargetCollectionName()

### makeExpiryAt

public static String makeExpiryAt(long timeMsFromNow)

### isExpired

public boolean isExpired()

### getRouteRangesStr

public String getRouteRangesStr()

### toString

public String toString()

Overrides:
  `toString` in class `ZkNodeProps`